Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class InvalidParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.utils.NestedRuntimeException
                      weblogic.security.service.SecurityServiceRuntimeException
                          weblogic.security.service.InvalidParameterException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

    public class InvalidParameterException

extends SecurityServiceRuntimeException

The `InvalidParameterException` exception is thrown if invalid parameters are passed to the WebLogic Security Framework (that is, if a method expects some input parameters and does not receive what it expects). For example, a `null` value being passed into a method for a required argument would cause this exception to be thrown.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`InvalidParameterException()` Constructs an `InvalidParameterException` with no arguments.
`InvalidParameterException(String msg)` Constructs an `InvalidParameterException` with the specified detail message.
`InvalidParameterException(String msg, Throwable nested)` Constructs an `InvalidParameterException` with a detail message and a nested exception.
`InvalidParameterException(Throwable nested)` Constructs an `InvalidParameterException` with a nested exception.

Method Summary

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterException

    public InvalidParameterException()

  Constructs an `InvalidParameterException` with no arguments.

### InvalidParameterException

    public InvalidParameterException(String msg)

  Constructs an `InvalidParameterException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

### InvalidParameterException

    public InvalidParameterException(Throwable nested)

  Constructs an `InvalidParameterException` with a nested exception.

  Parameters:
    `nested` - a `Throwable` object to wrapper as part of this exception.

### InvalidParameterException

    public InvalidParameterException(String msg,
                                     Throwable nested)

  Constructs an `InvalidParameterException` with a detail message and a nested exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

    `nested` - a `Throwable` object to wrapper as part of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD